<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{menu_aktifitas}">
<head>
    <meta charset="UTF-8">
    <title>Penjadwalan Kegiatan Temporer</title>
</head>
<body>
<div layout:fragment="aktifitas" class="box-body no-padding">
    <div class="box box-primary">
        <form role="form" th:action="@{/aktifitas/kegiatan_temporer/new}" th:object="${kegiatanTemporer}" method="post">
            <div class="box-header with-border">
                <h3 class="box-title">Penjadwalan Kegiatan Temporer</h3>
            </div>
            <div class="box-body">
                <div class="form-group">
                    <label>Jenis Kegiatan</label>
                    <select class="form-control select2" name="kegiatan" th:field="*{kegiatan.id}" id="kegiatan" style="width: 100%;">
                        <option th:each="x : ${kegiatan}"
                                th:text="${'('+ x.kodeKegiatan +')'  + '       -       ' +  x.namaKegiatan}"
                                th:value="${x.id}">Kegiatan</option>
                    </select>
                </div>

                <div class="form-group">
                    <label>Ruangan</label>
                    <select class="form-control select2" name="kegiatan" th:field="*{ruangan.id}" id="ruangan" style="width: 100%;">
                        <option th:each="x : ${ruangan}"
                                th:text="${'('+ x.kodeRuang +')'  + '       -       ' +  x.namaRuang}"
                                th:value="${x.id}">Ruangan</option>
                    </select>
                </div>

                <div class="form-group">
                    <label>Jenis Kelamin</label>
                    <select th:field="*{jenisKelamin}" class="form-control">
                        <option value="PRIA">Pria</option>
                        <option value="WANITA">Wanita</option>
                        <option value="GABUNGAN">Gabungan</option>
                    </select>
                </div>

                <div class="form-group">
                    <label>Deskripsi Kegiatan</label>
                    <textarea th:field="*{deksripsi}" class="form-control" name="deskripsi" id="deskripsi" rows="3" placeholder="Deskripsi Kegiatan ..."></textarea>
                </div>

                <div class="form-group">
                    <label>Tanggal Kegiatan</label>

                    <div class="input-group date">
                        <div class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </div>
                        <input th:field="*{tanggalKegiatanString}" type="text" class="form-control pull-right" id="tanggalKegiatan">
                    </div>
                    <span style="color: #ee3148" class="text" th:if="${errorMessage}" th:text="${errorMessage}"></span>
                </div>

                <div class="form-group">
                    <label>Waktu Mulai</label>
                    <input th:field="*{jamMulai}" type="time" class="form-control" name="jamMulai" id="jamMulai" placeholder="Waktu Mulai ...">
<!--                    <span style="color: #ee3148" class="text" th:if="${errorMessage}" th:text="${errorMessage}"></span>-->
                </div>

                <div class="form-group">
                    <label>Waktu Selesai</label>
                    <input th:field="*{jamSelesai}" type="time" class="form-control" name="jamSelesai" id="jamSelesai" placeholder="Waktu Selesai ...">
                </div>
                <input type="hidden" name="id" th:field="*{id}">
            </div>
            <div class="box-footer clearfix">
                <a th:href="@{/aktifitas/kegiatan_temporer}" class="btn btn-default">Cancel</a>
                <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>
            </div>
        </form>
    </div>
</div>
 <div layout:fragment="customJavascript">

    <script>
        $(document).ready(function(){

            $('#tanggalKegiatan').datepicker({
                autoclose: true
            })
        });
    </script>
</div>
</body>
</html>